# This file created by conda-build 24.5.1
# meta.yaml template originally from:
# /opt/recipe, last modified Mon Jul 15 18:17:27 2024
# ------------------------------------------------

package:
  name: illumina-interop
  version: 1.3.2
source:
  sha256: 4989480b3d074ac36499f122a1de109840b6edab238cc6482f6025d1021d4564
  url: https://github.com/Illumina/interop/archive/v1.3.2.tar.gz
build:
  number: '0'
  run_exports:
    - illumina-interop >=1.3.2,<1.4.0a0
  string: h7021222_0
requirements:
  build:
    - _openmp_mutex 4.5 2_gnu
    - _sysroot_linux-aarch64_curr_repodata_hack 4 h57d6b7b_16
    - binutils_impl_linux-aarch64 2.40 hf54a868_7
    - binutils_linux-aarch64 2.40 h1f91aba_9
    - bzip2 1.0.8 h68df207_7
    - c-ares 1.32.2 h68df207_0
    - ca-certificates 2024.7.4 hcefe29a_0
    - cmake 3.30.0 h7042e5d_0
    - gcc_impl_linux-aarch64 12.3.0 h3d98823_13
    - gcc_linux-aarch64 12.3.0 ha52a6ea_9
    - gxx_impl_linux-aarch64 12.3.0 hba91e99_13
    - gxx_linux-aarch64 12.3.0 h9d1f256_9
    - kernel-headers_linux-aarch64 4.18.0 h5b4a56d_16
    - keyutils 1.6.1 h4e544f5_0
    - krb5 1.21.3 h50a48e9_0
    - ld_impl_linux-aarch64 2.40 h9fc2d93_7
    - libcurl 8.8.0 h4e8248e_1
    - libedit 3.1.20191231 he28a2e2_2
    - libev 4.33 h31becfc_2
    - libexpat 2.6.2 h2f0025b_0
    - libgcc-devel_linux-aarch64 12.3.0 h6144e03_113
    - libgcc-ng 14.1.0 he277a41_0
    - libgomp 14.1.0 he277a41_0
    - libnghttp2 1.58.0 hb0e430d_1
    - libsanitizer 12.3.0 h57e2e72_13
    - libssh2 1.11.0 h492db2e_0
    - libstdcxx-devel_linux-aarch64 12.3.0 h6144e03_113
    - libstdcxx-ng 14.1.0 h3f4de04_0
    - libuv 1.48.0 h31becfc_0
    - libzlib 1.3.1 h68df207_1
    - make 4.3 h309ac5b_1
    - ncurses 6.5 h0425590_0
    - openssl 3.3.1 h68df207_1
    - rhash 1.4.4 h31becfc_0
    - sysroot_linux-aarch64 2.17 h5b4a56d_16
    - tzdata 2024a h0c530f3_0
    - xz 5.2.6 h9cdd2b7_0
    - zstd 1.5.6 h02f22dd_0
  host:
    - _openmp_mutex 4.5 2_gnu
    - libgcc-ng 14.1.0 he277a41_0
    - libgomp 14.1.0 he277a41_0
    - libstdcxx-ng 14.1.0 h3f4de04_0
  run:
    - libgcc-ng >=12
    - libstdcxx-ng >=12
test:
  commands:
    - interop_dumptext | grep Version > /dev/null
    - interop_imaging_table | grep Version > /dev/null
    - interop_summary | grep Version > /dev/null
    - interop_plot_by_cycle | grep Version > /dev/null
    - interop_plot_by_lane | grep Version > /dev/null
    - interop_plot_flowcell | grep Version > /dev/null
    - interop_plot_qscore_histogram | grep Version > /dev/null
    - interop_plot_qscore_heatmap | grep Version > /dev/null
    - interop_plot_sample_qc | grep Version > /dev/null
    - interop_index-summary | grep Version > /dev/null
    - interop_dumpbin | grep Version > /dev/null
    - interop_aggregate | grep Version > /dev/null
about:
  dev_url: https://github.com/Illumina/interop
  home: http://illumina.github.io/interop/index.html
  license: GPL-3.0-only
  license_family: GPL
  summary: The Illumina InterOp libraries are a set of common routines used for reading
    and writing InterOp metric files. These metric files are binary files produced
    during a run providing detailed statistics about a run. In a few cases, the metric
    files are produced after a run during secondary analysis (index metrics) or for
    faster display of a subset of the original data (collapsed quality scores).
extra:
  additional-platforms:
    - linux-aarch64
  copy_test_source_files: true
  final: true
